import java.io.IOException;
import java.io.PrintStream;
import java.util.Arrays;
import java.util.Scanner;

/**
 * Solution to Missing Gnomes
 * 
 * @author vanb
 */
public class gnomes_vanb
{
    private static Scanner sc;
    private static PrintStream ps;
    
    /**
     * Do it!
     * @throws IOException 
     */
    private void doit() throws IOException
    {
        int n = sc.nextInt();
        int m = sc.nextInt();
        
        boolean used[] = new boolean[n+1];
        Arrays.fill( used, false );
        
        // Read in the remaining gnomes, mark their numbers as "used"
        int gnomes[] = new int[m];
        for( int i=0; i<m; i++ ) {
            used[gnomes[i]=sc.nextInt()] = true;
        }
        
        // Now, go through the list of remaining gnomes.
        // Before printing one of them, print the (unused) numbers of all missing gnomes.
        int i=1;
        for( int j=0; j<m; j++ )
        {
            for( ; i < gnomes[j]; i++ ) if( !used[i] ) ps.println( i );
            ps.println( gnomes[j] );
        }
        
        // Print the numbers of all missing gnomes that are greater than any remaining gnome's number.
        for( ; i<=n; i++ ) if( !used[i] ) ps.println( i ); 
    }
        
    /**
     * main
     * 
     * @param args
     * @throws Exception
     */
    public static void main( String[] args ) throws Exception
    {
        sc = new Scanner( System.in );
        ps = System.out;
        
        new gnomes_vanb().doit();
    }
}
